# emailsms/__init__.py
#
# Copyright 2015 Socos LLC
#

import argparse
import smtplib

def send(smtp, from_address, phone, text, carrier):
    assert isinstance(smtp, smtplib.SMTP)
    assert carrier in gateway_for_carrier.keys()
    to_address = '{}@{}'.format(phone, gateway_for_carrier[carrier])
    smtp.sendmail(from_address, to_address, text)

gateway_for_carrier = {
    '3 River Wireless': 'sms.3rivers.net',
    'ACS Wireless': 'paging.acswireless.com',
    'Alltel': 'message.alltel.com',
    'AT&T': 'txt.att.net',
    'Bell Canada': 'txt.bellmobility.ca',
    'Bell Mobility (Canada)': 'txt.bell.ca',
    'Bell Mobility': 'txt.bellmobility.ca',
    'Blue Sky Frog': 'blueskyfrog.com',
    'Bluegrass Cellular': 'sms.bluecell.com',
    'Boost Mobile': 'myboostmobile.com',
    'BPL Mobile': 'bplmobile.com',
    'Cellular One': 'mobile.celloneusa.com',
    'Cellular South': 'csouth1.com',
    'Centennial Wireless': 'cwemail.com',
    'CenturyTel': 'messaging.centurytel.net',
    'Cingular': 'txt.att.net',
    'Clearnet': 'msg.clearnet.com',
    'Comcast': 'comcastpcs.textmsg.com',
    'Corr Wireless Communications': 'corrwireless.net',
    'Dobson': 'mobile.dobson.net',
    'Edge Wireless': 'sms.edgewireless.com',
    'Fido': 'fido.ca',
    'Golden Telecom': 'sms.goldentele.com',
    'Helio': 'messaging.sprintpcs.com',
    'Houston Cellular': 'text.houstoncellular.net',
    'Idea Cellular': 'ideacellular.net',
    'Illinois Valley Cellular': 'ivctext.com',
    'Inland Cellular Telephone': 'inlandlink.com',
    'MCI': 'pagemci.com',
    'Metro PCS': 'mymetropcs.com',
    'Microcell': 'fido.ca',
    'Midwest Wireless': 'clearlydigital.com',
    'Mobilcomm': 'mobilecomm.net',
    'MTS': 'text.mtsmobility.com',
    'Nextel': 'messaging.nextel.com',
    'OnlineBeep': 'onlinebeep.net',
    'PCS One': 'pcsone.net',
    "President's Choice": 'txt.bell.ca',
    'Public Service Cellular': 'sms.pscel.com',
    'Qwest': 'qwestmp.com',
    'Rogers AT&T Wireless': 'pcs.rogers.com',
    'Rogers Canada': 'pcs.rogers.com',
    'Southwestern Bell': 'email.swbw.com',
    'Sprint': 'messaging.sprintpcs.com',
    'Sumcom': 'tms.suncom.com',
    'Surewest Communicaitons': 'mobile.surewest.com',
    'T-Mobile': 'tmomail.net',
    'Telus': 'msg.telus.com',
    'Tracfone': 'txt.att.net',
    'Triton': 'tms.suncom.com',
    'Unicel': 'utext.com',
    'US Cellular': 'email.uscc.net',
    'Solo Mobile': 'txt.bell.ca',
    'US West': 'uswestdatamail.com',
    'Verizon': 'vtext.com',
    'Virgin Mobile': 'vmobl.com',
    'Virgin Mobile Canada': 'vmobile.ca',
    'West Central Wireless': 'sms.wcc.net',
    'Western Wireless': 'cellularonewest.com',
    'Chennai RPG Cellular': 'rpgmail.net',
    'Chennai Skycell / Airtel': 'airtelchennai.com',
    'Comviq': 'sms.comviq.se',
    'Delhi Aritel': 'airtelmail.com',
    'Delhi Hutch': 'delhi.hutch.co.in',
    'DT T-Mobile': 't-mobile-sms.de',
    'Dutchtone / Orange-NL': 'sms.orange.nl',
    'EMT': 'sms.emt.ee',
    'Escotel': 'escotelmobile.com',
    'German T-Mobile': 't-mobile-sms.de',
    'Goa BPLMobil': 'bplmobile.com',
    'Gujarat Celforce': 'celforce.com',
    'JSM Tele-Page': 'pinjsmtel.com',
    'Kerala Escotel': 'escotelmobile.com',
    'Kolkata Airtel': 'airtelkol.com',
    'Kyivstar': 'smsmail.lmt.lv',
    'LMT': 'smsmail.lmt.lv',
    'Maharashtra BPL Mobile': 'bplmobile.com',
    'Maharashtra Idea Cellular': 'ideacellular.net',
    'Manitoba Telecom Systems': 'text.mtsmobility.com',
    'Meteor': 'mymeteor.ie',
    'MiWorld': 'm1.com.sg',
    'Mobileone': 'm1.com.sg',
    'Mobilfone': 'page.mobilfone.com',
    'Mobility Bermuda': 'ml.bm',
    'Mobistar Belgium': 'mobistar.be',
    'Mobitel Tanzania': 'sms.co.tz',
    'Mobtel Srbija': 'mobtel.co.yu',
    'Movistar': 'correo.movistar.net',
    'Mumbai BPL Mobile': 'bplmobile.com',
    'Netcom': 'sms.netcom.no',
    'Ntelos': 'pcs.ntelos.com',
    'O2': 'o2imail.co.uk',
    'O2 (M-mail)': 'mmail.co.uk',
    'One Connect Austria': 'onemail.at',
    'Optus Mobile': 'optusmobile.com.au',
    'Orange': 'orange.net',
    'Orange Mumbai': 'orangemail.co.in',
    'Orange NL / Dutchtone': 'sms.orange.nl',
    'Oskar': 'mujoskar.cz',
    'P&T Luxembourg': 'sms.luxgsm.lu',
    'Pondicherry BPL Mobile': 'bplmobile.com',
    'Primtel': 'sms.primtel.ru',
    'Safaricom': 'safaricomsms.com',
    'Satelindo GSM': 'satelindogsm.com',
    'SCS-900': 'scs-900.ru',
    'SFR France': 'sfr.fr',
    'Simple Freedom': 'text.simplefreedom.net',
    'Smart Telecom': 'mysmart.mymobile.ph',
    'Southern LINC': 'page.southernlinc.com',
    'Sunrise Mobile': 'mysunrise.ch',
    'Surewest Communications': 'freesurf.ch',
    'Swisscom': 'bluewin.ch',
    'T-Mobile Austria': 'sms.t-mobile.at',
    'T-Mobile Germany': 't-d1-sms.de',
    'T-Mobile UK': 't-mobile.uk.net',
    'Tamil Nadu BPL Mobile': 'bplmobile.com',
    'Tele2 Latvia': 'sms.tele2.lv',
    'Telefonica Movistar': 'movistar.net',
    'Telenor': 'mobilpost.no',
    'Telia Denmark': 'gsm1800.telia.dk',
    'TIM': 'timnet.com',
    'UMC': 'sms.umc.com.ua',
    'Uraltel': 'sms.uraltel.ru',
    'Uttar Pradesh Escotel': 'escotelmobile.com',
    'Vodafone Italy': 'sms.vodafone.it',
    'Vodafone Japan': 'c.vodafone.ne.jp',
    'Vodafone UK': 'vodafone.net',
    'Wyndtell': 'wyndtell.com'
}

carriers = gateway_for_carrier.keys()

